ViewVC Help
View File | Revision Log | Show Annotations | Download File | View Changeset | Root Listing
root/mports/trunk/Makefile
Revision: 161
Committed: Sat Sep 23 22:41:49 2006 UTC (17 years, 7 months ago) by laffer1
File size: 4912 byte(s)
Log Message:
Add linux-mozilla related ports

File Contents

# User Rev Content
1 laffer1 161 # $MidnightBSD: mports/Makefile,v 1.13 2006/09/23 18:30:03 laffer1 Exp $
2 archite 2 #
3    
4 wintellect 74 SUBDIR += accessibility
5 laffer1 20 SUBDIR += archivers
6 laffer1 151 SUBDIR += audio
7 archite 2 SUBDIR += converters
8     SUBDIR += devel
9 laffer1 155 SUBDIR += emulators
10 laffer1 153 SUBDIR += german
11 archite 2 SUBDIR += graphics
12     SUBDIR += irc
13     SUBDIR += lang
14 laffer1 116 SUBDIR += math
15 archite 10 SUBDIR += misc
16 archite 2 SUBDIR += net-im
17     SUBDIR += print
18 archite 8 SUBDIR += security
19 laffer1 103 SUBDIR += shells
20 archite 6 SUBDIR += sysutils
21 archite 2 SUBDIR += textproc
22     SUBDIR += www
23     SUBDIR += x11
24 laffer1 151 SUBDIR += x11-fonts
25     SUBDIR += x11-fm
26     SUBDIR += x11-servers
27 laffer1 161 SUBDIR += x11-themes
28 wintellect 80 SUBDIR += x11-toolkits
29 archite 5 SUBDIR += x11-wm
30 archite 2
31     PORTSTOP= yes
32    
33     .include <bsd.port.subdir.mk>
34    
35     index:
36     @rm -f ${INDEXDIR}/${INDEXFILE}
37     @cd ${.CURDIR} && make ${INDEXDIR}/${INDEXFILE}
38    
39     fetchindex: ${INDEXDIR}/{INDEXFILE}.bz2
40     @bunzip2 < ${INDEXDIR}/${INDEXFILE}.bz2 > ${INDEXDIR}/${INDEXFILE} && \
41     chmod a+r ${INDEXDIR}/${INDEXFILE}
42    
43     ${INDEXDIR}/{INDEXFILE}.bz2: .PHONY
44     @${FETCHINDEX} ${INDEXDIR}/${INDEXFILE}.bz2 ${MASTER_SITE_INDEX}${INDEXFILE}.bz2
45    
46     MASTER_SITE_INDEX?= http://www.FreeBSD.org/ports/
47     SETENV?= /usr/bin/env
48     FETCHINDEX?= ${SETENV} ${FETCH_ENV} fetch -am -o
49     INDEX_JOBS?= 2
50    
51     .if !defined(INDEX_VERBOSE)
52     INDEX_ECHO_MSG= echo > /dev/null
53     INDEX_ECHO_1ST= echo -n
54     .else
55     INDEX_ECHO_MSG= echo 1>&2
56     INDEX_ECHO_1ST= echo
57     .endif
58    
59     ${INDEXDIR}/${INDEXFILE}:
60     @${INDEX_ECHO_1ST} "Generating ${INDEXFILE} - please wait.."; \
61     if [ "${INDEX_PRISTINE}" != "" ]; then \
62     export LOCALBASE=/nonexistentlocal; \
63     export X11BASE=/nonexistentx; \
64     fi; \
65     tmpdir=`/usr/bin/mktemp -d -t index` || exit 1; \
66     trap "rm -rf $${tmpdir}; exit 1" 1 2 3 5 10 13 15; \
67     ( cd ${.CURDIR} && make -j${INDEX_JOBS} INDEX_TMPDIR=$${tmpdir} BUILDING_INDEX=1 \
68     ECHO_MSG="${INDEX_ECHO_MSG}" describe ) || \
69     (rm -rf $${tmpdir} ; \
70     if [ "${INDEX_QUIET}" = "" ]; then \
71     echo; \
72     echo "********************************************************************"; \
73     echo "Before reporting this error, verify that you are running a supported"; \
74     echo "version of FreeBSD (see http://www.FreeBSD.org/ports/) and that you"; \
75     echo "have a complete and up-to-date ports collection. (INDEX builds are"; \
76     echo "not supported with partial or out-of-date ports collections -- in"; \
77     echo "particular, if you are using cvsup, you must cvsup the \"ports-all\""; \
78     echo "collection, and have no \"refuse\" files.) If that is the case, then"; \
79     echo "report the failure to ports@FreeBSD.org together with relevant"; \
80     echo "details of your ports configuration (including FreeBSD version,"; \
81     echo "your architecture, your environment, and your /etc/make.conf"; \
82     echo "settings, especially compiler flags and WITH/WITHOUT settings)."; \
83     echo; \
84     echo "Note: the latest pre-generated version of INDEX may be fetched"; \
85     echo "automatically with \"make fetchindex\"."; \
86     echo "********************************************************************"; \
87     echo; \
88     fi; \
89     exit 1); \
90     cat $${tmpdir}/${INDEXFILE}.desc.* | (cd ${.CURDIR} ; perl ${.CURDIR}/Tools/make_index) | \
91     sed -e 's/ */ /g' -e 's/| */|/g' -e 's/ *|/|/g' -e 's./..g' | \
92     sort -t '|' +1 -2 | \
93     sed -e 's../.g' > ${INDEXDIR}/${INDEXFILE}.tmp; \
94     if [ "${INDEX_PRISTINE}" != "" ]; then \
95     sed -e "s,$${LOCALBASE},/usr/local," -e "s,$${X11BASE},/usr/X11R6," \
96     ${INDEXDIR}/${INDEXFILE}.tmp > ${INDEXDIR}/${INDEXFILE}; \
97     else \
98     mv ${INDEXDIR}/${INDEXFILE}.tmp ${INDEXDIR}/${INDEXFILE}; \
99     fi; \
100     rm -rf $${tmpdir}; \
101     echo " Done."
102    
103     print-index: ${INDEXDIR}/${INDEXFILE}
104     @awk -F\| '{ printf("Port:\t%s\nPath:\t%s\nInfo:\t%s\nMaint:\t%s\nIndex:\t%s\nB-deps:\t%s\nR-deps:\t%s\nE-deps:\t%s\nP-deps:\t%s\nF-deps:\t%s\nWWW:\t%s\n\n", $$1, $$2, $$4, $$6, $$7, $$8, $$9, $$11, $$12, $$13, $$10); }' < ${INDEXDIR}/${INDEXFILE}
105    
106     CVS?= cvs
107     SUP?= cvsup
108     PORTSNAP?= portsnap
109     PORTSNAP_FLAGS?= -p ${.CURDIR}
110     .if defined(SUPHOST)
111     SUPFLAGS+= -h ${SUPHOST}
112     .endif
113     update:
114     .if defined(PORTSNAP_UPDATE)
115     @echo "--------------------------------------------------------------"
116     @echo ">>> Running ${PORTSNAP}"
117     @echo "--------------------------------------------------------------"
118     @${PORTSNAP} ${PORTSNAP_FLAGS} fetch
119     @${PORTSNAP} ${PORTSNAP_FLAGS} update
120     .elif defined(SUP_UPDATE) && defined(PORTSSUPFILE)
121     @echo "--------------------------------------------------------------"
122     @echo ">>> Running ${SUP}"
123     @echo "--------------------------------------------------------------"
124     @${SUP} ${SUPFLAGS} ${PORTSSUPFILE}
125     .elif defined(CVS_UPDATE)
126     @echo "--------------------------------------------------------------"
127     @echo ">>> Updating ${.CURDIR} from cvs repository" ${CVSROOT}
128     @echo "--------------------------------------------------------------"
129     cd ${.CURDIR}; ${CVS} -R -q update -A -P -d -I!
130     .elif defined(SUP_UPDATE) && !defined(PORTSSUPFILE)
131     @${ECHO_MSG} "Error: Please define PORTSSUPFILE before doing make update."
132     @exit 1
133     .else
134     @${ECHO_MSG} "Error: Please define either PORTSNAP_UPDATE, SUP_UPDATE, or CVS_UPDATE first."
135     .endif

Properties

Name Value
cvs2svn:cvs-rev 1.14